#!/bin/sh -

# This shell script uses a commented list of images to make a 
# commented html table including them. Jenik Hollan, June 2002

# preparation of another sed script to modify the index.htm:
sed '
# discarding ev. trailing blanks:
s/[[:blank:]]*$//

# discarding ev. double blanks from text lines, ~ to &nbsp;
/\.jpg/!{s/  \+/ /g ; s/~/\&nbsp;/g 
 }

# prologue for the heading:
1{i\
s/<table>/<P>&/\
1i\\\
<HTML lang=en>\\\
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">\\\
<H1>\\
}

# heading itself:
1,/^/{
s/$/\\/
s@^[[:blank:]]*\\$@</H1>@
}

# finding the commented image, whose line should end by "jpg:":
/\.jpg:/{ 
s@\(.*\)\(im[[:alnum:]]*\.jpg\)@/ \2/{ s/<td>//\
i\\\
<td><H2>@
s/://
 }


# inserting the commentary, which has to end by ":" on a separate line:
/\.jpg\//,/^[[:blank:]]*:[[:blank:]]*$/{
 s/$/\\/
 s/^\\$/\\\
<P>\\/
# s/^$/\\/
 s/^[[:blank:]]*:[[:blank:]]*\\/<\/H2><P>\
 }/
}

# discarding the non-commented images:
/\.jpg$/d

# discarding the nonused images:
/\.jpgn/{ 
s@\(.*\)\(im[[:alnum:]]*\.jpg\)n@/\2/d@
 }

# discarding the images to be discarded:
/\.jpgs/{ 
s@\(.*\)\(im[[:alnum:]]*\.jpg\)s@/\2/d@
 }

# discarding the rotation:
/\.jpgr$/d

/\.jpga /{ 
s@\(.*\)\(im[[:alnum:]]*\.jpg\)a \(im[[:alnum:]]*[a-z]\)@\
/\2/{ \
N\
/\3.jpg/!d\
}@
}

# ending tag
${a\
$a\\\
</HTML>
}

' listen.txt > listmod.sed

# modifying the index.htm by the script generated above:

#if [ ! -f list.old.htm ]
# then
# mv list.htm list.old.cz.htm
 sed -f listmod.sed list.htm >list.en.htm
#fi

cd fit
#if [ ! -f index.old.htm ]
# then
# mv index.htm index.old.htm
 sed -f ../listmod.sed index.htm >index.en.htm
#fi

cd third
#if [ ! -f index.old.htm ]
# then
# mv index.htm index.old.htm
 sed -f ../../listmod.sed index.htm >index.en.htm
#fi

cd sixth
#if [ ! -f index.old.htm ]
# then
# mv index.htm index.old.htm
 sed -f ../../../listmod.sed index.htm >index.en.htm
#fi

cd ../../..
